package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description: 对外对接基础推理入参
 * @Author:liuqq
 * @time: ${DATE} ${TIME}
 **/
@Getter
@Setter
public class DataPageDockVO extends SearchData{
    @NotNull(message = "请输入展示类型,横版：ver，或竖版hor")
    private String showType;//横版：ver，或竖版hor

    @NotNull(message = "请输入方案编码")
    private String planCode;//方案编码，用于控制哪些展示项

    //@NotNull(message = "请输入医院编码")
    //private Long hospitalId;//医院编码
}
